Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 151646 - load ip_conntrack_ftp if FTP enabled in r-c-securitylevel
Summary: load ip_conntrack_ftp if FTP enabled in r-c-securitylevel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-securitylevel
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-21 12:45 UTC by Patrick C. F. Ernzer
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-28 21:16:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Patrick C. F. Ernzer 2005-03-21 12:45:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
if we allow users to select FTP as a protocol, we really should also make an entry in /etc/sysconfig/iptables-config to load ip_conntrack_ftp

Version-Release number of selected component (if applicable):
redhat-config-securitylevel-1.2.9.2-1

How reproducible:
Always

Steps to Reproduce:
1. open redhat-config-securitylevel
2. select FTP as an allowed protocol with an enabled firewall
3. apply
4. try to connect via ftp to the host this was just executed on
  

Actual Results:  we are allowing related connections, but as we do not load ip_conntrack_ftp ftp is still not possible

Expected Results:  ftp working

having the following in /etc/sysconfig/iptables-config makes it work
IPTABLES_MODULES="ip_conntrack_ftp"

Additional info:


Note You need to log in before you can comment on or make changes to this bug.